package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.ZCMXMapper;
import com.sa.ibiz.demo.demo.domain.ZCMX;
import com.sa.ibiz.demo.demo.service.ZCMXService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.ZCMXSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.XMService;

/**
 * 实体[ZCMX] 服务对象接口实现
 */
@Service
public class ZCMXServiceImpl extends ServiceImplBase<ZCMXMapper, ZCMX> implements ZCMXService{

    @Autowired
    private XMService xmService;

    @Resource
    private ZCMXMapper zcmxMapper;


    @Override
    public boolean create(ZCMX et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(ZCMX et){
        this.beforeUpdate(et);
		this.zcmxMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(ZCMX et){
		return et.getZcmxid();  
    }

    @Override
    public boolean getDraft(ZCMX et)  {
    if((!StringUtils.isEmpty(et.getXmid())) && et.getXm() == null){
            try {
                et.setXm(xmService.getById(et.getXmid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<ZCMX> listDefault(ZCMXSearchFilter filter) {
		return zcmxMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<ZCMX> searchDefault(ZCMXSearchFilter filter) {
		return zcmxMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return zcmxMapper.selectRow(sql);
    }

 }